commit:     8a3bdb710c70a960e059120af69b29f96a5df0d9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 12 04:44:27 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct 12 04:59:35 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a3bdb71

dev-python/pygit2: Bump to 1.16.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pygit2/Manifest             |  1 +
 dev-python/pygit2/pygit2-1.16.0.ebuild | 46 ++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/pygit2/Manifest b/dev-python/pygit2/Manifest
index 95626301adb9..452259045799 100644
--- a/dev-python/pygit2/Manifest
+++ b/dev-python/pygit2/Manifest
@@ -1 +1,2 @@
 DIST pygit2-1.15.1.tar.gz 768818 BLAKE2B 
ca418afc24a680cbfddee00ec9b6c8f4987ad65abd3d61b56cfc1682ce97a3685654f7663857a2a996c2c4f393ef2addfd336c5f5f548f3a1860056ba998bb40
 SHA512 
4795dbc7b05000955fea86e1b51209a77dfaf99ea806aa8a2be538aed8094638def3e15b0507c61ab57cad2b8e5faee7f1c90ce5c2b20094f972638e7c9bd20f
+DIST pygit2-1.16.0.tar.gz 768597 BLAKE2B 
30e8df4c3f992e075117bdcda3d84e2ed0618dd8556ae8574f6238992cacff69ec3c7c22a6ab85f7857156fbb4b3e6e75bc899e71ea59efcb1f8dee61687355f
 SHA512 
297fc46f2e48e77937718e54b3ef2bb41a252348173fc5858ab4225fc3403a4d29efd2d6377508220d8bdf901f6cd9595c31601d8c0f77e9dc9a44f159a1d278

diff --git a/dev-python/pygit2/pygit2-1.16.0.ebuild 
b/dev-python/pygit2/pygit2-1.16.0.ebuild
new file mode 100644
index 000000000000..2cefd0c5b7c2
--- /dev/null
+++ b/dev-python/pygit2/pygit2-1.16.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="
+       https://github.com/libgit2/pygit2/
+       https://pypi.org/project/pygit2/
+"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+DEPEND="
+       <dev-libs/libgit2-1.9:=
+       >=dev-libs/libgit2-1.8.1:=
+"
+BDEPEND="
+       >=dev-python/cffi-1.17.0:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+       ${DEPEND}
+       ${BDEPEND}
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unconditionally prevent it from using network
+       sed -i -e '/has_network/s:True:False:' test/utils.py || die
+}
+
+src_test() {
+       rm -r pygit2 || die
+       distutils-r1_src_test
+}

Reply via email to